Bug 1130808 - Unable to match error message with string
Summary: Unable to match error message with string
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Alex Eng
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-18 00:23 UTC by Hedda Peters
Modified: 2015-07-31 01:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-31 01:15:57 UTC


Attachments (Terms of Use)

Description Hedda Peters 2014-08-18 00:23:04 UTC
Description of problem:
Apart from the fact that these error messages happen far too often currently (translate.zanata.org), they are also not very helpful. Error messages always refer to some ID. However, this ID does not match any ID that I can see in the editor for individual strings. Strings in the editor are enumerated by row numbers. Translators are therefore unable to identify which string the save operation failed for.

Actual results:
Example
Save FAILED: id 2441460, messages: translation failed for textflow 2441460: base versionNum + 1 does not match current versionNum 2

Expected results:
Save FAILED: ROW NUMBER XXXX, messages: translation failed for ROW XXXXX: base versionNum + 1 does not match current versionNum 2

Comment 1 Damian Jansen 2014-08-29 01:08:29 UTC
That, and they should be linked - clicking on the error should focus the target in question.  This would take away unnecessary "thinking" on the user's part.

Comment 2 Zanata Migrator 2015-07-31 01:15:57 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-389


Note You need to log in before you can comment on or make changes to this bug.